Description

This issue is tracking for gem release of DBM module.

Related issues:

Related to Ruby - Feature #5481: Gemifying Ruby standard library Closed

Related to Ruby - Feature #13248: Gemify gdbm Closed

Associated revisions

Revision f72e43a41740577801b8f8eb8119f6536fd3b261 - 02/08/2017 10:05 AM - hsbt (Hiroshi SHIBATA)

Added initial gemspec for DBM module.

[Feature #13201]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57577 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision f72e43a4 - 02/08/2017 10:05 AM - hsbt (Hiroshi SHIBATA)

Added initial gemspec for DBM module.

[Feature #13201]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57577 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/08/2017 09:56 AM - hsbt (Hiroshi SHIBATA)

- Related to Feature #5481: Gemifying Ruby standard library added

#2 - 02/08/2017 10:05 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed

Applied in changeset r57577.

Added initial gemspec for DBM module.

[Feature #13201]

#3 - 02/13/2017 02:50 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Closed to Open

DBM gem is already registered. see. https://rubygems.org/gems/dbm

#4 - 02/26/2017 02:22 PM - shevegen (Robert A. Heiler)

Perhaps the rubygems.org folks can de-register that gem, due to two reasons - ruby stdlib and core should have a higher priority over custom gems;

and the gem is not very active, only two updates, one in 2009 and another one in 2013. (It seems to be jruby specific. Perhaps it could actually be

integrated into jruby itself as-is.)

In the long run, optional namespaces/authorship-registries for gems should perhaps be added (and multiple same-named gems could be made

available at rubygems.org, though of course then gem also needs a way to install same-named gems from different authors). All gems in ruby stdlib

etc.. could have a registry such as "ruby core" or some similar identifier to keep track of the gems that are currently available, at the least in the latest

ruby release; the gem commandline interface should then be able to pick up that information and notify the user of possible name conflicts. But

anyway I digress - IMO ruby core should have priority over other gems at all times.
#5 - 02/26/2017 08:59 PM - vo.x (Vit Ondruch)

Since this is JRuby implementation of dbm, I believe it shouldn't be big big deal to get that name available ....

#6 - 02/27/2017 01:43 AM - hsbt (Hiroshi SHIBATA)

Registered gem is here: https://github.com/jruby/dbm

I will coordinate JRuby team and rubygems admin.

#7 - 02/27/2017 01:43 AM - hsbt (Hiroshi SHIBATA)

- Related to Feature #13248: Gemify gdbm added

#8 - 04/28/2017 01:45 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

#9 - 05/02/2017 01:08 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed

I shipped dbm gem implemented CRuby.

https://rubygems.org/gems/dbm

And update its gemspec on ruby core repository at r58314

#10 - 05/02/2017 05:44 PM - vo.x (Vit Ondruch)

Could you please provide "Source Code" location information on rubygems.org? That would be helpful. Thx.

#11 - 05/12/2017 07:13 AM - hsbt (Hiroshi SHIBATA)

vo.x (Vit Ondruch)

 I update source code location in 1.0.0.beta1.
